Create an Azure OpenAI inference endpoint

Auth

Create an inference endpoint to perform an inference task with the azureopenai service.

The list of chat completion models that you can choose from in your Azure OpenAI deployment include:

The list of embeddings models that you can choose from in your deployment can be found in the Azure models documentation.

Required privileges

Cluster privileges manage_inference

Path parameters

task_type enum required

The type of the inference task that the model will perform. NOTE: The chat_completion task type only supports streaming and only through the _stream API.

Values: completion chat_completion text_embedding
azureopenai_inference_id string required

The unique identifier of the inference endpoint.

Query parameters

timeout string · default: 30s

Specifies the amount of time to wait for the inference endpoint to be created.

Request body

service enum required

The type of service supported for the specified task type. In this case, azureopenai.

Values: azureopenai
service_settings object required

Settings used to install the inference model. These settings are specific to the azureopenai service.

api_key string

A valid API key for your Azure OpenAI account.

Important

You must specify either api_key, entra_id, or client_secret. If you do not provide one or you provide more than one of them, you will receive an error when you try to create your endpoint.

api_version string required

The Azure API version ID to use. It is recommended to use the latest supported non-preview version.

client_id string

For OAuth 2.0 authorization using the client credentials grant flow. The application ID that's assigned to your app.

Important

To configure OAuth 2.0, you must specify client_id, scopes, tenant_id, and client_secret together. If one of the fields is missing, you will receive an error when you try to create your endpoint.

client_secret string

For OAuth 2.0 authorization using the client credentials grant flow. The application secret that you created in the Microsoft app registration portal for your app.

Important

You must specify either api_key, entra_id, or client_secret. If you do not provide one or you provide more than one of them, you will receive an error when you try to create your endpoint.

Important

To configure OAuth 2.0, you must specify client_id, scopes, tenant_id, and client_secret together. If one of the fields is missing, you will receive an error when you try to create your endpoint.

deployment_id string required

The deployment name of your deployed models. Your Azure OpenAI deployments can be found though the Azure OpenAI Studio portal that is linked to your subscription.

entra_id string

A valid Microsoft Entra token.

Important

You must specify either api_key, entra_id, or client_secret. If you do not provide one or you provide more than one of them, you will receive an error when you try to create your endpoint.

resource_name string required

The name of your Azure OpenAI resource. You can find this from the list of resources in the Azure Portal for your subscription.

scopes string[]

For OAuth 2.0 authorization using the client credentials grant flow. The resource identifier (application ID URI) of the resource you want, suffixed with .default For example:

"scopes": [
  "https://cognitiveservices.azure.com/.default"
]
		
Important

To configure OAuth 2.0, you must specify client_id, scopes, tenant_id, and client_secret together. If one of the fields is missing, you will receive an error when you try to create your endpoint.

tenant_id string

For OAuth 2.0 authorization using the client credentials grant flow. The directory tenant the application plans to operate against.

Important

To configure OAuth 2.0, you must specify client_id, scopes, tenant_id, and client_secret together. If one of the fields is missing, you will receive an error when you try to create your endpoint.

Response

application/json
service string required

The service type

service_settings object required

Settings specific to the service

task_settings object

Task settings specific to the service and task type

inference_id string required

The inference Id

task_type enum required

The task type

Values: text_embedding completion chat_completion